Description

In previous version, the provisioning templates were marked to be shared across organizations, for simplicity reasons.

We probably want to keep orgs separated as possible, but we should prepare

independent set of provisioning templates then for provisioning of synced repos

to work out of the box

Related issues:

Has duplicate Katello - Bug #5618: Provisioning templates should be set for a... Duplicate 05/07/2014

Associated revisions

Revision fe33ad93 - 08/05/2014 09:04 AM - Stephen Benjamin

fixes #4734 - make katello templates available in all taxonomies

This change uses a new feature in foreman to mark templates as defaults

supplied by a third-party.  We mark our templates as such, as well as

some Foreman templates we require.

The end result is that (a) these templates are made available in all

orgs and locations at creation, and (b) the templates can't be deleted

or modified, so we are free to update them at will.  Users may clone a

template into their own org to customize it.

Revision ed0f057a - 08/05/2014 03:43 PM - Stephen Benjamin

Merge pull request #4450 from stbenjam/4734

fixes #4734 - make katello templates available in all taxonomies

History

#1 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/21/2014 09:58 PM - Mike McCune

- Assignee set to Ivan Necas

- Triaged set to No

#4 - 03/24/2014 04:34 AM - Mike McCune

- Triaged changed from No to Yes

#5 - 07/02/2014 10:49 AM - Justin Sherrill
I would argue that we should make our templates Read-only, and then add all the readonly templates to every org on creation.  That way there is a

single base template that all orgs share (that can't be edited), and every org can copy a template for their own use.

Thoughts?

#6 - 07/02/2014 11:10 AM - Stephen Benjamin

That does have the advantage of making upgrades easier. We can update the templates without worrying a user has edited them.  I don't see a Clone

button at first glance, we'll probably need to add that.

#7 - 07/02/2014 11:38 AM - Justin Sherrill

Yeah, there is an open RFE in foreman to support that:  http://projects.theforeman.org/issues/1646  We could add that feature as part of this.

#8 - 07/03/2014 01:14 PM - Stephen Benjamin

- Bugzilla link set to 1116082

#9 - 07/03/2014 06:10 PM - Stephen Benjamin

I submitted a PR to enable cloning in #1646.  We also need to do #3103.

Do we really need to seed the template in each org? It'd be better if all read-only templates without taxonomy were available everywhere, should be

possible with just a tweak to with_taxonomy_scope in Foreman.  What do you think?

#10 - 07/07/2014 02:19 PM - Justin Sherrill

- Assignee changed from Ivan Necas to Justin Sherrill

- translation missing: en.field_release set to 13

- Difficulty set to medium

#11 - 07/09/2014 10:32 AM - Eric Helms

- Target version set to 49

#12 - 07/17/2014 09:11 AM - Stephen Benjamin

- Has duplicate Bug #5618: Provisioning templates should be set for all locations in Fortello added

#13 - 07/17/2014 09:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4450 added

#14 - 07/28/2014 08:41 AM - Eric Helms

- Target version changed from 49 to 54

#15 - 08/05/2014 04:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|fe33ad931889a8684c31b57268ddd2f755fc98c2.
